import type React from 'react';
import { FlatList, type FlatListProps } from 'react-native';
import { type CommonProps } from './utils';
/**
 * React Native Super Grid Properties
 */
interface FlatGridBaseProps<ItemType> extends FlatListProps<ItemType>, CommonProps<ItemType> {
    /**
     * Items to be rendered. renderItem will be called with each item in this array.
     */
    data: ItemType[];
    /**
     * Overwrites FlatList with custom interface
     */
    customFlatList?: typeof FlatList;
}
export type FlatGridProps<ItemType = unknown> = React.PropsWithoutRef<FlatGridBaseProps<ItemType>> & React.RefAttributes<FlatList<ItemType>>;
declare const FlatGrid: React.NamedExoticComponent<FlatGridProps<unknown>>;
export default FlatGrid;
