import type React from 'react';
import { type StyleProp, type ViewStyle } from 'react-native';
declare function useRenderRow({ renderItem, spacing, keyExtractor, externalRowStyle, itemContainerStyle, horizontal, invertedRow, }: {
    renderItem: (props: {
        item: any;
        index: number;
        separators: any;
        rowIndex: number;
    }) => React.ReactElement;
    spacing: number;
    keyExtractor: (item: any, index: number) => string;
    externalRowStyle: StyleProp<ViewStyle>;
    itemContainerStyle: StyleProp<ViewStyle>;
    horizontal: boolean;
    invertedRow: boolean;
}): ({ rowItems, rowIndex, separators, isLastRow, itemsPerRow, rowStyle, containerStyle, containerFullWidthStyle, }: {
    rowItems: Array<{
        _fullWidth: number;
    }>;
    rowIndex: number;
    separators?: unknown;
    isLastRow: boolean;
    itemsPerRow: number;
    rowStyle: typeof externalRowStyle;
    containerStyle: typeof itemContainerStyle;
    containerFullWidthStyle: StyleProp<ViewStyle>;
}) => React.JSX.Element;
export default useRenderRow;
